
<div class="container-fluid mt--5">
  <div class="row">
    <div class="col">
      <div class="card shadow">
        <div class="card-header border-0 flex-table">
          <div class="flex-buttons-title">
            <h3 class="mb-0 mr-5">Sandboxes</h3>
            <!-- <a style="cursor: pointer;" (click)="startContainers()"><i class="material-icons click-icon-play" matTooltip="Start"> play_arrow </i></a>
            <a style="cursor: pointer;" (click)="stopContainers()"><i class="material-icons click-icon-stop" matTooltip="Stop"> stop </i></a>
            <a style="cursor: pointer;" (click)="resumeContainers()"><i class="material-icons click-icon-replay" matTooltip="Resume"> replay </i></a>
            <a style="cursor: pointer;" (click)="pauseContainers()"><i class="material-icons click-icon-pause" matTooltip="Pause"> pause </i></a>
            <a style="cursor: pointer;" (click)="restartContainers()"><i class="material-icons click-icon-restart" matTooltip="Restart"> skip_next </i></a>
            <a style="cursor: pointer;" (click)="prunContainers()"><i class="material-icons" style="color:cornflowerblue" matTooltip="Prune"> cleaning_services </i></a> -->

          </div>
          <div class="flex-buttons">
            <button class="btn btn-style" data-toggle="modal" data-target="#addSandbox"> <i
                class="material-icons click-icon-add"> add </i>
              <p style="margin-top: 15px;">sandbox</p>
            </button>
          </div>
        </div>
        <div class="table-responsive">
          <table class="table align-items-center table-flush">
            <thead class="thead-light">
              <tr>
                <!-- <th></th> -->
                <th scope="col">Name</th>
                <th scope="col">State</th>
                <th scope="col">Quick action</th>
                <th scope="col">Image</th>
                <th scope="col">Up Time</th>
                <th></th>
              </tr>
            </thead>
            <tbody *ngFor="let container of listSandboxes; let i = index;">
              <tr>
                  <!-- <td><mat-checkbox (click)="checked(container?.Id)"></mat-checkbox></td> -->

                <th scope="row">
                  <div class="media align-items-center">
                    <div class="media-body">
                      <span class="mb-0 text-sm">{{container?.Names[0]}}</span>
                    </div>
                  </div>
                </th>
                <td>
                  <span *ngIf="container.State !== 'exited'" class="badge badge-dot mr-4 " [ngClass]="{'text-success': (container.State=== 'running'), 'text-danger':(container.State=== 'exited'),'text-warning':(container.State=== 'paused'), 'text-blue':(container.State=== 'created')   }">
                    <i  [ngClass]="{'bg-success': (container.State=== 'running'), 'bg-danger':(container.State=== 'exited'),'bg-warning':(container.State=== 'paused'),'bg-primary':(container.State=== 'created')  }"></i> {{container.State}}
                  </span>
                  <span *ngIf="container.State=== 'exited'" class="badge badge-dot mr-4 " [ngClass]="{'text-success': (container.State=== 'running'), 'text-danger':(container.State=== 'exited'),'text-warning':(container.State=== 'paused'), 'text-blue':(container.State=== 'created')   }">
                    <i  [ngClass]="{'bg-success': (container.State=== 'running'), 'bg-danger':(container.State=== 'exited'),'bg-warning':(container.State=== 'paused'),'bg-primary':(container.State=== 'created')  }"></i> finished
                  </span>
                </td>
                <td>
                  <div class="actions">
                    <a href="javascript:void(0)">
                      <i matTooltip="logs" class="ni ni-single-copy-04 text-primary icon pt-3"></i>
                    </a>
                    <a href="javascript:void(0)">
                      <i matTooltip="stats" class="ni ni-chart-pie-35 text-red icon pt-3"></i>
                    </a>
                    <!-- <a  style="cursor: pointer;" (click)="getCurrentContainer(container.Id)" data-toggle="modal" data-target="#showContainer">
                      <i matTooltip="Info" class="ni ni-air-baloon text-green icon pt-3"></i>
                    </a> -->
                  </div>
                </td>
                <td>
                  {{container.Image}}
                </td>
                <td>
                  <div class="d-flex align-items-center">
                    <span class="mr-2">{{container.Status}}</span>
                  </div>
                </td>
                <td>
                  <div class="actions">
                    <!-- <a (click)="getIdContainer(container.Id)"  data-toggle="modal" data-target="#clearVolumes">
                        <i class="material-icons pt-3"  style="color:red" matTooltip="Delete">delete </i>
                    </a> -->
                  </div>
                </td>
              </tr>
              <!-- container data end-->
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal" id="addSandbox">
  <div class="modal-dialog modal-xl">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Create Sandbox</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <form [formGroup]="sandboxForm">
          <div class="row">
            <div class="col-md-12 form-group">
              <ace-editor [(text)]="outputMessage[index]" formControlName="Code"
                          [theme]="'iplastic'" [options]="{fontSize: 12 }" [readOnly]="false"
                          [autoUpdateContent]="true"
                          style="min-height: 70px;max-height: 70px; width:100%; overflow: auto;">
              </ace-editor>
            </div>
            <div class="col-md-9"></div>
            <div class="col-md-3">
              <mat-form-field appearance="outline" class="example-full-width">
                <mat-label>Language</mat-label>
                <mat-select formControlName="Lang"
                  (selectionChange)="changeValue($event.value)" placeholder="Language">
                  <mat-option value="JS">javascript</mat-option>
                  <mat-option value="Python">Python</mat-option>
                  <mat-option value="JAVA">JAVA</mat-option>
                  <mat-option value="PHP">PHP</mat-option>
                </mat-select>
                <mat-error
                  *ngIf="sandboxForm.hasError('required', 'Lang')">
                  Language is <strong>required</strong>
                </mat-error>
              </mat-form-field>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6  form-group">
              <mat-form-field appearance="outline" class="input-full">
                <mat-label>Voucher</mat-label>

                <input formControlName="Voucher" matInput placeholder="Voucher">
                <mat-error *ngIf="sandboxForm.hasError('required', 'Voucher')">Voucher is <b>required</b></mat-error>
              </mat-form-field>
            </div>
          </div>
        </form>
      </div>

      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" data-dismiss="modal" (click)="createSandbox()" [disabled]="!sandboxForm.valid">Create sandbox</button>
      </div>

    </div>
  </div>
</div>
<div class="modal" id="showResult">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Result sandbox</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <h4>Result : <pre [innerHTML]= "result?.result"></pre></h4>
        <h2>Voucher : /{{result?.voucher}}</h2>
      </div>

      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
      </div>

    </div>
  </div>
</div>
